<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: yahoo  YAHOO.env   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>YAHOO Global&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_yahoo.html">yahoo</a>
                 &gt; YAHOO.env 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        <code>static</code>
                        
                            Class <b>YAHOO.env</b>
                        <span class="extends">
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        YAHOO.env is used to keep track of what is known about the YUI library and
the browsing environment
                    </div>


                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="listeners">listeners</a>
                                        <code>- Function[]</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            List of functions that should be executed every time a YUI module
reports itself.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="modules">modules</a>
                                        <code>- Object[]</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Keeps the version info for all YUI modules that have reported themselves
                                        </div>
                                    </div>
     
                                        


                                    <hr />


                            </div>
                        </div>


                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="getVersion">getVersion</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                         static 
                                        
                                        Object
                                            <strong>getVersion</strong>
                                           (
                                                
                                                        
                                                         name
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns the version data for the specified module:
<dl>
<dt>name:</dt>      <dd>The name of the module</dd>
<dt>version:</dt>   <dd>The version in use</dd>
<dt>build:</dt>     <dd>The build number in use</dd>
<dt>versions:</dt>  <dd>All versions that were registered</dd>
<dt>builds:</dt>    <dd>All builds that were registered.</dd>
<dt>mainClass:</dt> <dd>An object that was was stamped with the
current version and build. If 
mainClass.VERSION != version or mainClass.BUILD != build,
multiple versions of pieces of the library have been
loaded, potentially causing issues.</dd>
</dl>
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>name &lt;String&gt;</code>
                                                             the name of the module (event, slider, etc)
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Object
                                                    </code></dt>
                                                    <dd>The version info</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>







			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class="selected"><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.html">YAHOO</a></li>
                                <li class="selected"><a href="YAHOO.env.html">YAHOO.env</a></li>
                                <li class=""><a href="YAHOO.lang.html">YAHOO.lang</a></li>
                                <li class=""><a href="YAHOO_config.html">YAHOO_config</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="YAHOO.js.html">YAHOO.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#listeners">listeners</a>
                                        <!--<code>&lt;Object[]&gt;</code>-->
                                </li>
                                <li><a href="#modules">modules</a>
                                        <!--<code>&lt;Object[]&gt;</code>-->
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>Object</code>-->
                                <a href="#getVersion">getVersion</a>
                                </li>
                        </ul>
                    </div>



            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
